Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.impl.model
Class OWLEquivalentClassesAxiomImpl

    java.lang.Object
      |
      +--org.semanticweb.owl.impl.model.OWLObjectImpl
            |
            +--org.semanticweb.owl.impl.model.OWLClassAxiomImpl
                  |
                  +--org.semanticweb.owl.impl.model.OWLEquivalentClassesAxiomImpl

All Implemented Interfaces:
  Cloneable, OWLClassAxiom, OWLEquivalentClassesAxiom, OWLObject, OWLOntologyObject, Serializable

public class OWLEquivalentClassesAxiomImpl
extends OWLClassAxiomImpl
implements OWLEquivalentClassesAxiom

An axiom asserting the equivalence of a number of classes.

Version:
  $Id: OWLEquivalentClassesAxiomImpl.java,v 1.1.1.1 2003/10/14 17:10:14 sean_bechhofer Exp $
See Also:
  Serialized Form

Constructor Summary
`OWLEquivalentClassesAxiomImpl(OWLDataFactoryImpl factory, Set set)`

Method Summary
`void` | `accept(OWLClassAxiomVisitor visitor)` Accept a visit from a visitor
`void` | `accept(OWLObjectVisitor visitor)` Accept a visit from a visitor
`protected void` | `addOntology(OWLOntologyImpl o)` Add the given ontology to the collection that this class knows it appears in.
`Set` | `getEquivalentClasses()` Returns a collection of `OWLDescription`s which are the descriptions asserted to be equivalent.
`Set` | `getOntologies()` Returns the collection of ontologies that this object is known to occur in.
`protected boolean` | `removeOntology(OWLOntologyImpl o)` Remove the given ontology from the collection that this class knows it appears in.

Methods inherited from class org.semanticweb.owl.impl.model.OWLObjectImpl
`clone, getAnnotations, getAnnotations, getContainedObjects, getMetadata, getOWLConnection, getOWLDataFactory`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.semanticweb.owl.model.OWLObject
`clone, getAnnotations, getAnnotations, getContainedObjects, getMetadata, getOWLConnection, getOWLDataFactory`

Constructor Detail

### OWLEquivalentClassesAxiomImpl

    public OWLEquivalentClassesAxiomImpl(OWLDataFactoryImpl factory,
                                         Set set)

Method Detail

### getEquivalentClasses

    public Set getEquivalentClasses()

  Returns a collection of `OWLDescription`s which are the descriptions asserted to be equivalent.

  Specified by:
    `getEquivalentClasses` in interface `OWLEquivalentClassesAxiom`

### getOntologies

    public Set getOntologies()

  Description copied from interface: `OWLOntologyObject`
  Returns the collection of ontologies that this object is known to occur in.

  Specified by:
    `getOntologies` in interface `OWLOntologyObject`
  Overrides:
    `getOntologies` in class `OWLClassAxiomImpl`
  Returns:
    a `Set` value

### addOntology

    protected void addOntology(OWLOntologyImpl o)

  Add the given ontology to the collection that this class knows it appears in.

  Overrides:
    `addOntology` in class `OWLClassAxiomImpl`
  Parameters:
    `o` - an `OWLOntologyImpl` value

### removeOntology

    protected boolean removeOntology(OWLOntologyImpl o)

  Remove the given ontology from the collection that this class knows it appears in.

  Overrides:
    `removeOntology` in class `OWLClassAxiomImpl`
  Parameters:
    `o` - an `OWLOntologyImpl` value

### accept

    public void accept(OWLObjectVisitor visitor)
                throws OWLException

  Description copied from interface: `OWLObject`
  Accept a visit from a visitor

  Specified by:
    `accept` in interface `OWLObject`
  Specified by:
    `accept` in class `OWLObjectImpl`
    `OWLException`

### accept

    public void accept(OWLClassAxiomVisitor visitor)
                throws OWLException

  Description copied from interface: `OWLClassAxiom`
  Accept a visit from a visitor

  Specified by:
    `accept` in interface `OWLClassAxiom`
    `OWLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb